Subject: Re: [RFCv4 3/5] 2/2: Add Python support library for CVS remote helper

From: Johan Herland <[email-masked]>
Date: Mon, 5 Oct 2009 16:41:42 +0200

On Monday 05 October 2009, Sverre Rabbelier wrote:
> On Mon, Aug 17, 2009, Johan Herland <[email-masked]> wrote:
> > This patch introduces the rest of a Python package called
> > "git_remote_cvs" containing the building blocks of the CVS remote
> > helper. The CVS remote helper itself is NOT part of this patch.
>
> Might I suggest that we pool our efforts and instead create a
> structure like:
>
> git_remote_helpers/
> git_remote_helpers/__init__.py
> git_remote_helpers/Makefile
> git_remote_helpers/setup.py
> git_remote_helpers/util.py
> git_remote_helpers/git
> git_remote_helpers/git/__init__.py
> git_remote_helpers/git/
> git_remote_helpers/cvs
> git_remote_helpers/cvs/__init__.py
> git_remote_helpers/cvs/changeset.py
> git_remote_helpers/cvs/commit_states.py
> git_remote_helpers/cvs/cvs.py
> git_remote_helpers/cvs/revision_map.py
> git_remote_helpers/cvs/symbol_cache.py
> git_remote_helpers/hg
> git_remote_helpers/hg/__init__.py
> git_remote_helpers/hg/hg.py
> git_remote_helpers/hg/export.py

I like this. One couple of questions (for now):

- Are you planning to share directory structure only, or some of the 
Python code as well? From the above structure it seems like you want to 
make use of e.g. util.py and git.py. I'd be delighted if the code is 
reusable by other remote helpers.

- Do you plan to put the remote helpers into this structure as well, or 
keep them separate? (currently the cvs remote helper lives separately 
in git-remote-cvs.py in the project root directory)

> I'm willing to spend some time to do the needed refactoring, but IIUC
> Daniel said that you need to reroll the cvs series anyway?

Yeah, a re-roll was planned once the sr/gfi-options work was finalized. 
(right now I'm mostly focused on the jh/notes work). Feel free to post 
the hg-specific and/or common parts as a separate patch, and I can 
rebase the CVS series on top of that before I submit the next 
iteration.

Nice to see people starting to pick up the foreign-vcs work. :)

Have fun! :)

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net